<?php
if(!empty($tpl['arr']))
{ 
	if($tpl['arr']['status'] == 'T')
	{
		?>
		<div id="frContainer_<?php echo $_GET['cid']; ?>" class="frContainer"></div>
		<script type="text/javascript">
		var pjQ = pjQ || {},
			Fundrasing_<?php echo  $_GET['cid']; ?>;
		(function () {
			"use strict";
			var isSafari = /Safari/.test(navigator.userAgent) && /Apple Computer/.test(navigator.vendor),
				
			loadCssHack = function(url, callback){
				var link = document.createElement('link');
				link.type = 'text/css';
				link.rel = 'stylesheet';
				link.href = url;
		
				document.getElementsByTagName('head')[0].appendChild(link);
		
				var img = document.createElement('img');
				img.onerror = function(){
					if (callback && typeof callback === "function") {
						callback();
					}
				};
				img.src = url;
			},
			loadRemote = function(url, type, callback) {
				if (type === "css" && isSafari) {
					loadCssHack(url, callback);
					return;
				}
				var _element, _type, _attr, scr, s, element;
				
				switch (type) {
				case 'css':
					_element = "link";
					_type = "text/css";
					_attr = "href";
					break;
				case 'js':
					_element = "script";
					_type = "text/javascript";
					_attr = "src";
					break;
				}
				
				scr = document.getElementsByTagName(_element);
				s = scr[scr.length - 1];
				element = document.createElement(_element);
				element.type = _type;
				if (type == "css") {
					element.rel = "stylesheet";
				}
				if (element.readyState) {
					element.onreadystatechange = function () {
						if (element.readyState == "loaded" || element.readyState == "complete") {
							element.onreadystatechange = null;
							if (callback && typeof callback === "function") {
								callback();
							}
						}
					};
				} else {
					element.onload = function () {
						if (callback && typeof callback === "function") {
							callback();
						}
					};
				}
				element[_attr] = url;
				s.parentNode.insertBefore(element, s.nextSibling);
			},
			loadScript = function (url, callback) {
				loadRemote(url, "js", callback);
			},
			loadCss = function (url, callback) {
				loadRemote(url, "css", callback);
			},
			options = {
				server: "<?php echo PJ_INSTALL_URL; ?>",
				folder: "<?php echo PJ_INSTALL_FOLDER; ?>",
				cid: <?php echo $_GET['cid']; ?>,
				required_field: "<?php echo pjSanitize::html(__('front_required_field', true));?>",
				message: "<?php echo pjSanitize::html(__('front_message', true));?>"
			};
			loadScript("<?php echo PJ_INSTALL_URL . PJ_LIBS_PATH; ?>pjQ/pjQuery.min.js", function () {
				loadScript("<?php echo PJ_INSTALL_URL . PJ_LIBS_PATH; ?>pjQ/pjQuery.validate.min.js", function () {
					loadScript("<?php echo PJ_INSTALL_URL . PJ_JS_PATH; ?>pjFundrasing.js", function () {
						Fundrasing_<?php echo $_GET['cid']; ?> = new Fundrasing(options);
					});
				});
			});
		})();
		</script>
		<?php
	}else{
		?><div class="frContainer"><div class="frNoCampaignFound"><?php __('front_campaign_stopped');?></div></div><?php
	}
}else{
	?><div class="frContainer"><div class="frNoCampaignFound"><?php __('front_no_campaign_found');?></div></div><?php
} 
?>